genvalidity-property-1.0.0.0: Standard properties for functions on `Validity` types

Safe Haskell | None
Language | Haskell2010

Test.Validity.Relations.Antireflexivity

Synopsis

- antireflexiveOnElem :: (a -> a -> Bool) -> a -> Bool
- antireflexivityOnGen :: Show a => (a -> a -> Bool) -> Gen a -> (a -> [a]) -> Property
- antireflexivity :: (Show a, GenValid a) => (a -> a -> Bool) -> Property
- antireflexivityOnArbitrary :: (Show a, Arbitrary a) => (a -> a -> Bool) -> Property

# Documentation

antireflexiveOnElem Source #

Arguments

:: (a -> a -> Bool) | A relation
-> a | An element
-> Bool |

\[ Antireflexive(\prec) \quad\equiv\quad \forall a: \neg (a \prec a) \]

antireflexivityOnGen :: Show a => (a -> a -> Bool) -> Gen a -> (a -> [a]) -> Property Source #

antireflexivity :: (Show a, GenValid a) => (a -> a -> Bool) -> Property Source #

    antireflexivity ((<) :: Int -> Int -> Bool)

    antireflexivity ((/=) :: Int -> Int -> Bool)

    antireflexivity ((>) :: Int -> Int -> Bool)

antireflexivityOnArbitrary :: (Show a, Arbitrary a) => (a -> a -> Bool) -> Property Source #

    antireflexivityOnArbitrary ((<) :: Int -> Int -> Bool)

    antireflexivityOnArbitrary ((/=) :: Int -> Int -> Bool)

    antireflexivityOnArbitrary ((>) :: Int -> Int -> Bool)